Page MenuHomePhabricator

Selenium bug with Firefox causes VE test failure
Closed, ResolvedPublic

Description

See for example https://integration.wikimedia.org/ci/view/BrowserTests/view/-All/job/browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce/612/testReport/(root)/VisualEditor/Edit_with_strings__outline_example_____Editing_with_D%C3%A9j%C3%A0_vu_%E5%8C%97%E4%BA%AC__tag____OK___end____Editing_with_D%C3%A9j%C3%A0_vu_%E5%8C%97%E4%BA%AC__tag____OK___end____/

The test types in the string

Editing with Déjà vu 北京 <tag & "OK" "end"

but what comes out is missing the ampersand character "&"

Editing with Déjà vu 北京 <tag "OK" "end"

I suspect this is a Selenium/Firefox cursoring problem. The test works fine manually in a modern version of Firefox.

Event Timeline

Cmcmahon raised the priority of this task from to Needs Triage.
Cmcmahon updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2015, 10:49 PM

Is the behavior the same when you run the test on a local and remote (Sauce Labs) browser? Does it reproduce only for Firefox or also for Chrome?

Jdforrester-WMF triaged this task as High priority.Mar 12 2015, 5:30 PM

Note that I removed the "&" from the string with this commit: https://gerrit.wikimedia.org/r/#/c/195683

I see the commit is merged. Can this be closed?

Aklapper closed this task as Resolved.Apr 17 2015, 6:31 PM
Aklapper claimed this task.

I see the commit is merged. Can this be closed?

No reply. Assuming that means "Yes". If not, please reopen this task.

greg raised the priority of this task from High to Unbreak Now!.Apr 30 2015, 3:49 PM
greg moved this task from Ruby to Done on the Browser-Tests-Infrastructure board.
greg lowered the priority of this task from Unbreak Now! to High.Apr 30 2015, 4:02 PM
greg moved this task from INBOX to Done on the Release-Engineering-Team board.May 23 2015, 2:14 PM